package kr.co.vividnext.sodalive.admin.marketing.statistics

import org.springframework.stereotype.Service

@Service
class AdminAdStatisticsService(
    private val repository: AdminAdStatisticsRepository
) {
    fun getStatistics(offset: Long, limit: Long): GetAdminAdStatisticsResponse {
        val totalCount = repository.getAdStatisticsDataTotalCount()
        val items = repository.getAdStatisticsDataList(offset, limit)

        return GetAdminAdStatisticsResponse(
            totalCount = totalCount,
            items = items
        )
    }
}
